##
#
# Configuration options.
#
# Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
# Please refer to the COPYING file for detailed licensing information.
#
# Author: Georg Wittenburg
#
# $Id: config.tcl 2688 2008-06-26 11:59:33Z wittenbu $
#
##



# Configure network protocol stack
# TODO: Is it correct to use the default values for these components?
set val(chan)		Channel/WirelessChannel			;# channel type
#set val(prop)		Propagation/FreeSpace			;# radio-propagation model
#set val(prop)		Propagation/TwoRayGround		;# radio-propagation model
set val(prop)		Propagation/Shadowing			;# radio-propagation model
set val(ant)		Antenna/OmniAntenna			;# antenna model
set val(netif)		Phy/WirelessPhy				;# network interface type
set val(mac)		Mac/802_11				;# MAC type
set val(ll)		LL					;# link layer type
set val(ifq)		Queue/DropTail/PriQueue			;# interface queue type			TODO: Is this the correct queue type? Priqueue is patched by AODV-UU...
set val(ifqlen)		50					;# max packet in interface queue	TODO: Is this an appropriate queue length?
set val(rp)		AODV					;# routing protocol			TODO: Also consider other routing protocols (AODV, AODVUU, ...).

# Disable MAC 802.11 RTS/CTS packets below this threshold.
Mac/802_11		set RTSThreshold_		2048	;# bytes

# MAC 802.11 statistics
Mac/802_11		set transmittedPackets_		0
Mac/802_11		set receivedPackets_		0
Mac/802_11		set droppedPackets_capture_	0
Mac/802_11		set droppedPackets_collision_	0
Mac/802_11		set droppedPackets_transmit_	0
Mac/802_11		set droppedPackets_bit_error_	0
Mac/802_11		set transmittedBytes_		0
Mac/802_11		set receivedBytes_		0

# Transport agent
#Agent/MessagePassing	set packetSize_		1500	;# (default)
Agent/MessagePassing	set processPackets_	1	;# enable processing of packets by application

# Service placement application
Application/C		set transmittedUnicastPackets_		0
Application/C		set receivedUnicastPackets_		0
Application/C		set transmittedBroadcastPackets_	0
Application/C		set receivedBroadcastPackets_		0
Application/C		set transmittedBytes_			0
Application/C		set receivedBytes_			0

# C code
Application/C		set directNeighbors_				0
Application/C		set longestRoute_				0
Application/C		set averageRoute_				0.0
Application/C		set DEBUG_ERRORs_				0
Application/C		set DEBUG_WARNs_				0
Application/C		set RUDP_totalTransmissions_			0
Application/C		set RUDP_successfulTransmissions_		0
Application/C		set ICMP_transmittedNops_			0
Application/C		set ICMP_receivedNops_				0
Application/C		set SLP_totalQueries_				0
Application/C		set SLP_successfulQueries_			0
Application/C		set SERVICE_totalDataRequests_			0
Application/C		set SERVICE_successfulDataRequests_		0
Application/C		set SERVICE_totalSuccessfulDataRequestDelay_	0.0
Application/C		set SERVICE_totalDataUpdates_			0
Application/C		set SERVICE_successfulDataUpdates_		0
Application/C		set SERVICE_totalStreamRequests_		0
Application/C		set SERVICE_successfulStreamRequests_		0
Application/C		set SERVICE_expectedStreamPackets_		0
Application/C		set SERVICE_receivedStreamPackets_		0
Application/C		set SERVICE_successfulReplications_		0
Application/C		set SERVICE_totalMigrations_			0
Application/C		set SERVICE_successfulMigrations_		0
Application/C		set SERVICE_totalReplications_			0
