/**
 * @file graphs_local.h
 *
 * @brief Network graphs - functions local to each node (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: graphs_local.h 2685 2008-06-25 16:38:56Z wittenbu $
 */

#ifndef GRAPHS_LOCAL_H
#define GRAPHS_LOCAL_H

#include "../types.h"
#include "graphs_types.h"



void handle_GRAPHS_REQUEST(const packet_header_t* header, const void* payload);
void handle_GRAPHS_TEST_REQUEST(const packet_header_t* header, const GRAPHS_TEST_REQUEST_packet_t* test_request);
void handle_GRAPHS_TEST_DATA(const packet_header_t* header, const GRAPHS_TEST_DATA_packet_t* test_data);

#endif	// GRAPHS_LOCAL_H
