/**
 * @file slp-light_vars.h
 *
 * @brief Service Location Protocol (SLP) - minimal implemenation (variables).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: slp-light_vars.h 2685 2008-06-25 16:38:56Z wittenbu $
 */

#ifndef SLP_LIGHT_VARS_H
#define SLP_LIGHT_VARS_H

#include "../types.h"
#include "slp-light_types.h"



/**
 * @brief List of currently active SLP queries.
 */
list_t* C_SLP_active_queries;

/**
 * @brief Statistics counter of total queries.
 */
uint32_t C_SLP_total_queries;

/**
 * @brief Statistics counter of successful queries.
 */
uint32_t C_SLP_successful_queries;

/**
 * @brief Statistics counter of failed queries.
 */
uint32_t C_SLP_failed_queries;

#endif	// SLP_LIGHT_VARS_H
